<?php

declare(strict_types=1);

namespace Seka\Terminy\Services\External\Calendar;

use Seka\Terminy\Dtos\UdalostDTO;

/**
 *
 */
interface CalendarService
{
    /**
     * @param \Seka\Terminy\Dtos\UdalostDTO $udalost
     */
    public function createEvent(UdalostDTO $udalost): void;

    /**
     * @param \Seka\Terminy\Dtos\UdalostDTO $udalost
     */
    public function updateEvent(UdalostDTO $udalost): void;

    /**
     * @param \Seka\Terminy\Dtos\UdalostDTO $udalost
     */
    public function deleteEvent(UdalostDTO $udalost): void;
}
